Recommended update for yast2-registration

SUSE Recommended Update: Recommended update for yast2-registration
Announcement ID: SUSE-RU-2019:0666-1
Rating: moderate
References: #1125006
Affected Products:
  • SUSE Linux Enterprise Server 12-SP4
  • SUSE Linux Enterprise Desktop 12-SP4

An update that has one recommended fix can now be installed.

Description:

This update for yast2-registration provides the following fix:

  • Fix a crash that would display the following error: "can't modify frozen String". (bsc#1125006)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Server 12-SP4:
    zypper in -t patch SUSE-SLE-SERVER-12-SP4-2019-666=1
  • SUSE Linux Enterprise Desktop 12-SP4:
    zypper in -t patch SUSE-SLE-DESKTOP-12-SP4-2019-666=1

Package List:

  • SUSE Linux Enterprise Server 12-SP4 (noarch):
    • yast2-registration-3.2.18-3.3.2
  • SUSE Linux Enterprise Desktop 12-SP4 (noarch):
    • yast2-registration-3.2.18-3.3.2

References: